#include "alloc.h"
#include "kprintf.h"
#include "string.h"

void heap_cmd(char *arg)
{
	if (!arg)
		kprintf(KERN_INFO "You must specify an argument (phys/virt)\n");
	else if (!strcmp(arg, "phys"))
		show_kalloc_mem();
	else if (!strcmp(arg, "virt"))
		show_valloc_mem();
	else
		kprintf(KERN_INFO "%s: invalid argument to heap (phys/virt)\n",
		        arg);
}
